Subject: Re: When will cygwin ever be stable?
From: Louis Bohm <[email-masked]>
To: Andy Piper <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 May 2001 13:59:10 -0400

I do not know about the other points you made but I can tell you that the scroll
bars do work when you are running rxvt.  Maybe you should try that instead.

Louis

Andy Piper wrote:

> Chris Faylor writes:
> >What does "fairly broken" mean?  I'm aware of only one problem which I
> >announced a fix for a couple of days ago.
>
> It means that hitting C-c for anything but simple scenarios does not
> interrupt the target process. My case is running java inside a shell script.
>
> > >the headers change the whole time so that trying to maintain anything
> > >that builds under cygwin is a complete nightmare.
> >
> >What does "the headers change the whole time" mean?  What specifically
>
> It means that each time I install a new version of w32api or the mingw
> one's I have to fix XEmacs compilation in some way or other.
>
> >caused you problems?  Was it the move of headers to /usr/include/w32api?
>
> That didn't help. My problem is not whether this was a good or bad thing to
> do, but rather that it changed again (remember the move to the new headers
> etc?)
>
> >FWIW, the 1.3.1 release of Cygwin was a major release.  That's one of
> >the reasons that we incremented the middle number.  We expected
> >problems.  There are problems.  We'll be making a 1.3.2 release soon.
>
> So what happened to the stable release in between? Was there a 1.2?
>
> >Whether it fixes your problems or not is unknown at this point since I
> >have no clear idea what your problems are.  Without specific feedback we
> >can't fix specific problems, so your specific problems are not
> >specifically fixed.  Perhaps you might want to try a snapshot.
>
> I don't want to beta-test cygwin - I just want it to work. That's
> fundamentally my issue. I suspect that you disagree with this and I suspect
> that people feel the same way about XEmacs, but its my opinion and I'm
> entitled to it :)
>
> My top 3 bugs:
>
> - C-c habitually breaks (i.e. does nothing)
>
> - cygwin term does not handle scrollbacks properly (this worked once but
> has been broken for ever), do this:
> build something to generate lots of output and then hit C-c to interrupt,
> scrollback through the screen buffer by dragging the scrollbar with the
> mouse or using a mousewheel. Then type - the screen buffer will habitually
> not scrollback down to the bottom but instead insert your typing in the
> middle of the output.
> [I see from trying to reproduce this reliably that it is somewhat random]
>
> - headers moving and/or changing.
>
> andy
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

--
¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤
¤°`°Systems  Manager and Tivoli Support Geek
¤°`°Lightbridge, Inc
¤°`°67 South Bedford St.
¤°`°Burlington MA 01832
¤°`°781.359.4795 mailto:[email-masked]
¤°`°http://www.lightbridge.com
¤°`°Free Tivoli scripts at: http://www.microgeek.com
¤¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤ø,¸¸,ø¤º°`°º¤øø¤º°`°º¤

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple